# TextLine Struct Reference

`#include <lyr_freetype.h>`

List of all members.

## Public Member Functions

| TextLine ()
void | clear_and_free ()
int | actual_height () const

## Public Attributes

int | width
std::vector< Glyph > | glyph_table

## Constructor & Destructor Documentation

TextLine::TextLine | ( |  | ) | `[inline]`

## Member Function Documentation

void TextLine::clear_and_free | ( |  | ) |

References glyph_table.

int TextLine::actual_height | ( |  | ) | const`[inline]`

References glyph_table.

## Member Data Documentation

int TextLine::width

std::vector<Glyph> TextLine::glyph_table

Referenced by actual_height(), and clear_and_free().

The documentation for this struct was generated from the following files:

- lyr_freetype.h
- lyr_freetype.cpp